Skip to main content

Groups

List IMS groups

Workspaces API

Version: 1.0
Preview

Returns a list of available IMS groups for the organization

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required

Returns

200

Successful Response

idstring
is_federated_groupboolean
namestring

Endpoint

GET
/workspace/orgs/{org_id}/ims/groups

Request

curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/ims/groups' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

[
{
"id": "string",
"is_federated_group": true,
"name": "string"
}
]

Get IMS users

Workspaces API

Version: 1.0
Preview

Returns a list of users in an IMS organization, filtered by the first characters of their email address

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required

emailstring
Required
>= 9 chars

Example: "ilike:foo*"

Returns

200

Successful Response

emailstring
full_namestring

Endpoint

GET
/workspace/orgs/{org_id}/ims/users

Request

curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/ims/users' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"users": [
{
"email": "string",
"full_name": "string"
}
]
}

What is the reason for your feedback?